##
##  css2xslfo.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 1.6.2
%define       V_dist 1_6_2

#   package information
Name:         css2xslfo
Summary:      XML/CSS to XSL-FO Translator
URL:          http://www.re.be/css2xslfo/
Vendor:       Werner Donne
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      Open Source
Version:      %{V_opkg}
Release:      20100824

#   list of sources
Source0:      http://switch.dl.sourceforge.net/css2xslfo/css2xslfo%{V_dist}.jar
Source1:      http://www.re.be/css2xslfo/%{V_dist}/manual.pdf
Source2:      css2xslfo.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101, java, JAVA-JDK, xalan

%description
    CSSToXSLFO is a utility which can convert an XML document, together
    with a CSS2 style sheet, into an XSL-FO document, which can then be
    converted into PDF, PostScript, etc. with an XSL-FO processor. It
    has special support for the XHTML vocabulary, because that is the
    most obvious language it would be used for.

%track
    prog css2xslfo = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/css2xslfo/files/
        regex     = css2xslfo(__VER__)\.jar
    }

%prep
    %setup -q -c -T

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/css2xslfo \
        $RPM_BUILD_ROOT%{l_prefix}/share/css2xslfo
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE css2xslfo.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/css2xslfo
    %{l_shtool} install -c -m 644 \
        %{SOURCE css2xslfo%{V_dist}.jar} \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/css2xslfo/css2xslfo.jar
    %{l_shtool} install -c -m 644 \
        %{SOURCE manual.pdf} $RPM_BUILD_ROOT%{l_prefix}/share/css2xslfo/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

